> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.bienport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Controllers



## OpenAPI

````yaml /open-api/api-docs.yml get /controller/list
openapi: 3.0.1
info:
  title: Bimetri Api Service API Reference
  description: Bimetri Api Service
  version: v1.4.0-SNAPSHOT
servers:
  - url: https://apigw.bienport.com/api
  - url: https://apigw.sebeketakip.com/api
security: []
tags:
  - name: CRM Ticket Api
    description: Crm Controller
  - name: Camera Api
    description: Camera Controller
  - name: Central Alarm Monitoring Api
    description: Central Alarm Monitoring Controller
  - name: Content Api
    description: Contents Controller
  - name: Controller Api
    description: Controllers Controller
  - name: Controller Log Api
    description: Digital Controller Data Log Controller
  - name: Customer Api
    description: Customer Controller
  - name: Enterprise Bulk Operations Api
    description: Enterprise Bulk Operations Controller
  - name: External Power And Battery Status Api
    description: External Power And Battery Status Controller
  - name: Lead Api
    description: Lead Controller
  - name: Login Api
    description: Auth Controller
  - name: Panel Controllers Api
    description: Resource Controllers Controller
  - name: Panel Sensors Api
    description: Resource Sensor Controller
  - name: Partition Api
    description: Partition Controller
  - name: Payment Api
    description: Payment Controller
  - name: Push Notification Api
    description: Push Notification Controller
  - name: Push Notification History Api
    description: Push Notification History Controller
  - name: Resource Activities Api
    description: Activity Service Controller
  - name: Resource Api
    description: Resource Management Controller
  - name: Resource User Authorization Api
    description: Resource User Authorization Controller
  - name: Role Api
    description: Organization Role Controller
  - name: Sms Verification Code Send Api
    description: Send Verification Code Controller
  - name: Subscription Api
    description: Subscription Controller
  - name: User Api
    description: User Controller
  - name: Validate Verification Code Api
    description: Sms Code Validation Controller
paths:
  /controller/list:
    get:
      tags:
        - Controller Api
      summary: Get All Controllers
      operationId: findAllUsingGET
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
          example: Bearer access_token
        - name: OrganizationId
          in: header
          description: Organization ID
          required: true
          schema:
            type: string
          example: '148001'
      responses:
        '200':
          description: SuccessDataResult model Controllers listed.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/DTOController'
        '400':
          description: ApiErrorResponse model bad request.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '401':
          description: ApiErrorResponse model unauthorized.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '403':
          description: This response is not used.
          content: {}
        '404':
          description: ApiErrorResponse not found.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
        '500':
          description: ApiErrorResponse internal server error.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
      deprecated: false
components:
  schemas:
    DTOController:
      title: DTOController
      type: object
      properties:
        active:
          type: boolean
          xml:
            name: active
            attribute: false
            wrapped: false
        controllerClass:
          $ref: '#/components/schemas/DTOControllerClass'
        controllerId:
          type: integer
          format: int64
          xml:
            name: controllerId
            attribute: false
            wrapped: false
        controllerName:
          type: string
          xml:
            name: controllerName
            attribute: false
            wrapped: false
        controllerType:
          type: string
          xml:
            name: controllerType
            attribute: false
            wrapped: false
          enum:
            - Digital
            - Analog
            - Serial
        conversionFormulaX:
          type: number
          format: double
          xml:
            name: conversionFormulaX
            attribute: false
            wrapped: false
        conversionFormulaY:
          type: number
          format: double
          xml:
            name: conversionFormulaY
            attribute: false
            wrapped: false
        createByUser:
          type: string
          xml:
            name: createByUser
            attribute: false
            wrapped: false
        createDate:
          type: string
          format: date-time
          xml:
            name: createDate
            attribute: false
            wrapped: false
        labels:
          type: array
          items:
            $ref: '#/components/schemas/DTOLabel'
        logic0:
          type: boolean
          xml:
            name: logic0
            attribute: false
            wrapped: false
        precision:
          type: string
          xml:
            name: precision
            attribute: false
            wrapped: false
        property:
          type: string
          xml:
            name: property
            attribute: false
            wrapped: false
        serialDataType:
          type: string
          enum:
            - Byte
            - Signedshort
            - Unsignedshort
            - Signedint
            - Unsignedint
            - Signedlong
            - Unsignedlong
            - Float
            - Double
            - Boolean
            - Bytearray
            - Chararray
            - String
            - Date
        serialDataTypeBigEndian:
          type: boolean
        valueRangeMax:
          type: number
          format: double
          xml:
            name: valueRangeMax
            attribute: false
            wrapped: false
        valueRangeMin:
          type: number
          format: double
          xml:
            name: valueRangeMin
            attribute: false
            wrapped: false
    ErrorResponseModel:
      title: ErrorResponseModel
      type: object
      properties:
        statusCode:
          type: integer
          description: Error Code
          format: int32
        error:
          type: string
          description: 'Unique name of the error '
          example: '***Exception'
        message:
          type: string
          description: 'Error message information '
          example: Message about the error
        path:
          type: string
          description: 'Path information where the error occurred '
          example: /api/example/path
      description: Error Response Model
    DTOControllerClass:
      title: DTOControllerClass
      type: object
      properties:
        active:
          type: boolean
        className:
          type: string
          xml:
            name: className
            attribute: false
            wrapped: false
        controllerUnit:
          type: string
          xml:
            name: controllerUnit
            attribute: false
            wrapped: false
        id:
          type: integer
          format: int64
          xml:
            name: id
            attribute: false
            wrapped: false
    DTOLabel:
      title: DTOLabel
      type: object
      properties:
        active:
          type: boolean
        labelId:
          type: integer
          format: int64
        labelName:
          type: string
        labelUserId:
          type: integer
          format: int64

````